@props(['date', 'link' => '', 'link_name', 'title', 'newest' => false])

<div class="inline-flex w-full">

    <!-- Date -->
    <div class="pr-2">
        <span {{$attributes->merge(['class' => "font-bold"])}} ">{{ $date }}</span>:
    </div>

    <!-- Title -->
    <div class="{{$newest ? 'text-white' : ''}} grow overflow-hidden text-ellipsis">{{ $title }}</div>

    <!-- Link -->
    @if ($link !== '')
        <div>
            (<span class="text-blue-400 hover:text-blue-300 underline"><a href="{{ $link }}">{{ $link_name }}</a></span>)
        </div>
    @endif
</div>
